Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree.nodes
Class OperationTreeNode

    java.lang.Object
      com.eviware.soapui.model.tree.AbstractModelItemTreeNode<Operation>
          com.eviware.soapui.model.tree.nodes.OperationTreeNode

All Implemented Interfaces:
  SoapUITreeNode, java.beans.PropertyChangeListener, java.util.EventListener

    public class OperationTreeNode

extends AbstractModelItemTreeNode<Operation>

SoapUITreeNode for Operation implementations

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.tree.AbstractModelItemTreeNode
`AbstractModelItemTreeNode.ReorderPropertyChangeListener`

Constructor Summary
`OperationTreeNode(Operation operation, SoapUITreeModel treeModel)`

Method Summary
`Operation` | `getOperation()`
`void` | `release()`
`void` | `requestAdded(Request request)`
`void` | `requestRemoved(Request request)`

Methods inherited from class com.eviware.soapui.model.tree.AbstractModelItemTreeNode
`getActions, getChildCount, getChildNode, getIndexOfChild, getModelItem, getOverviewPanel, getParentTreeNode, getPopup, getTreeModel, initOrdering, isLeaf, propertyChange, reorder, sortModelItems, toString, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationTreeNode

    public OperationTreeNode(Operation operation,
                             SoapUITreeModel treeModel)

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `SoapUITreeNode`
  Overrides:
    `release` in class `AbstractModelItemTreeNode<Operation>`

### getOperation

    public Operation getOperation()

### requestAdded

    public void requestAdded(Request request)

### requestRemoved

    public void requestRemoved(Request request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.